# PSF-LoginServer - master - net.psforever.objects.SpecialEmp
PSF - LoginServer - master - net.psforever.objects.SpecialEmp
Keywords: PSF LoginServer master net.psforever.objects.SpecialEmp

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package avatar
  Definition Classes
    objects
-  package ballistics
  Definition Classes
    objects
-  package ce
  Definition Classes
    objects
-  package definition
  Definition Classes
    objects
-  package entity
  Definition Classes
    objects
-  package equipment
  Definition Classes
    objects
-  package geometry
  Definition Classes
    objects
-  package guid
  Definition Classes
    objects
-  package inventory
  Definition Classes
    objects
-  package loadouts
  Definition Classes
    objects
-  package locker
  Definition Classes
    objects
-  package serverobject
  Definition Classes
    objects
-  package teamwork
  Definition Classes
    objects
-  package vehicles
  Definition Classes
    objects
-  package vital
  Definition Classes
    objects
-  package zones
  Definition Classes
    objects
- Account
- AmmoBox
- BoomerDeployable
- BoomerDeployableControl
- BoomerDeployableDefinition
- BoomerTrigger
- CommonNtuContainer
- ConstructionItem
- Default
- Deployables
- ExplosiveDeployable
- ExplosiveDeployableControl
- ExplosiveDeployableDefinition
- GlobalDefinitions
- Kit
- LivePlayerList
- LocalLockerItem
- LocalProjectile
- MineDeployableControl
- Ntu
- NtuContainer
- NtuContainerDefinition
- NtuStorageBehavior
- ObjectType
- OffhandEquipmentSlot
- OwnableByPlayer
- PlanetSideGameObject
- Player
- Players
- SensorDeployable
- SensorDeployableControl
- SensorDeployableDefinition
- Session
- ShieldGeneratorControl
- ShieldGeneratorDefinition
- ShieldGeneratorDeployable
- SimpleItem
- SpawnPoint
- SpawnPointDefinition
- SpecialEmp
- Telepad
- TelepadControl
- TelepadDeployable
- TelepadDeployableControl
- TelepadDeployableDefinition
- Tool
- Tools
- TrapDeployable
- TrapDeployableControl
- TrapDeployableDefinition
- TurretControl
- TurretDeployable
- TurretDeployableDefinition
- Vehicle
- Vehicles

o

net.psforever.objects

# SpecialEmp

###

#### object SpecialEmp

Information and functions useful for the construction of a server-side electromagnetic pulse (not intigated by any specific thing the client does).

Source
  SpecialEmp.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SpecialEmp
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  final case class Burst () extends Product with Serializable

   Trigger an electromagnetic pulse.

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  def createEmpInteraction(empEffect: DamageWithPosition, position: Vector3)(source: PlanetSideGameObject with FactionAffinity with Vitality, target: PlanetSideGameObject with FactionAffinity with Vitality): DamageInteraction

   The damage interaction for an electromagnetic pulse effect.

   The damage interaction for an electromagnetic pulse effect.

   empEffect

     information about the effect

   position

     where the effect occurs

   source

     a game object that represents the source of the EMP

   target

     a game object that is affected by the EMP

   returns

     a `DamageInteraction` object

7.  def distanceCheck(proxy: PlanetSideGameObject)(obj1: PlanetSideGameObject, obj2: PlanetSideGameObject, maxDistance: Float): Boolean

   The "within affected distance" test for special electromagnetic pulses is not necessarily centered around a game object as the source of that EMP.

   The "within affected distance" test for special electromagnetic pulses is not necessarily centered around a game object as the source of that EMP. A proxy entity is provided to perform the measurements and is given token information that connects it with another object for the proper attribution.

   obj1

     a game entity, should be the source of the damage

   obj2

     a game entity, should be the target of the damage

   maxDistance

     the square of the maximum distance permissible between game entities before they are no longer considered "near"

   returns

     `true`, if the two entities are near enough to each other; `false`, otherwise

   See also

     `Zone.distanceCheck`

8.  final val emp: DamageWithPosition

   A defaulted emp definition.

   A defaulted emp definition. Any projectile definition can be used.

9.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
10.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
11.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
12.  def findAllBoomers(range: Float)(zone: Zone, obj: PlanetSideGameObject with FactionAffinity with Vitality, properties: DamageWithPosition): List[PlanetSideServerObject with Vitality]

    A sort of `SpecialEmp` that only affects deployed boomer explosives must find affected deployed boomer explosive entities.

    A sort of `SpecialEmp` that only affects deployed boomer explosives must find affected deployed boomer explosive entities.

    range

      the distance to search for applicable sector

    zone

      the zone in which to search

    obj

      a game entity that is excluded from results

    properties

      information about the effect/damage

    returns

      two lists of objects with different characteristics; the first list is `PlanetSideServerObject` entities with `Vitality`; since only boomer explosives are returned, this second list can be ignored

    See also

      `BoomerDeployable`

13.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
16.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  def prepareDistanceCheck(owner: PlanetSideGameObject, position: Vector3, faction: types.PlanetSideEmpire.Value): (PlanetSideGameObject, PlanetSideGameObject, Float) => Boolean

    The "within affected distance" test for special electromagnetic pulses is not necessarily centered around a game object as the source of that EMP.

    The "within affected distance" test for special electromagnetic pulses is not necessarily centered around a game object as the source of that EMP. A proxy entity is generated to perform the measurements and is given token information that connects it with another object for the proper attribution.

    owner

      the formal entity to which the EMP is attributed

    position

      the coordinate location of the EMP

    faction

      the affinity of the EMP

    returns

      a function that determines if two game entities are near enough to each other

    See also

      `OwnableByPlayer`

      `PlanetSideServerObject`

      `SpecialEmp.distanceCheck`

20.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
21.  def toString(): String
    Definition Classes
      AnyRef → Any
22.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
24.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped